<header id="header" class="clearfix">
  <nav class="navbar navbar-default">
    <div class="container-fluid">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#main-navbar" aria-expanded="false">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a href="javascript:void(0)" id="logo">
          <span data-hover="BOOKWORM">BOOKWORM</span>
        </a>
      </div>

      <div class="collapse navbar-collapse" id="main-navbar">
        <ul ng-if="!vm.guest" class="nav navbar-nav user-center">
          <li>
            <a href="javascript:void(0)" ng-class="{'active': vm.global.user.messages_unseen.length > 0}" ng-click="vm.setNotificationsSeen(); vm.messagesVisible = !vm.messagesVisible;">
              <i class="fa fa-envelope-o"></i><sub ng-show="vm.global.user.messages_unseen.length > 0">{{vm.global.user.messages_unseen.length}}</sub>
            </a>
            <ul class="notifications" ng-class="{'visible': vm.messagesVisible}">
              <li class="arrow"></li>
              <li class="header">Messages</li>
              <li class="notification" ng-repeat="message in vm.global.user.messages_unseen" ng-class="{'seen': message.seen == 1}" ng-click="vm.openMessage(message, $index);">
                <img ng-src="{{vm.global.users[vm.finduser(message)].img}}" onerror="this.src='assets/images/default-user.png'" alt="" />
                <p><strong>{{message.name}}</strong> {{message.message | emojify}}</p>
                <small>{{message.timestamp | relativeDate}}</small>
              </li>
              <li class="empty" ng-show="vm.global.user.messages_unseen.length == 0">
                <p>You have no new messages.</p>
              </li>
            </ul>
          </li>
          <li>
            <a href="javascript:void(0)" ng-class="{'active': vm.global.user.notifications_unseen > 0}" ng-click="vm.setNotificationsSeen(); vm.notificationsVisible = !vm.notificationsVisible;">
              <i class="fa fa-bell-o"></i><sub ng-show="vm.global.user.notifications_unseen > 0">{{vm.global.user.notifications_unseen}}</sub>
            </a>
            <ul class="notifications" ng-class="{'visible': vm.notificationsVisible}">
              <li class="arrow"></li>
              <li class="header">Notifications</li>
              <li class="notification" ng-repeat="notification in vm.global.user.notifications" ng-class="{'seen': notification.seen == 1}" ng-click="vm.goToNotification(notification); vm.notificationsVisible = false">
                <img ng-src="{{vm.global.users[vm.finduser(notification)].img}}" onerror="this.src='assets/images/default-user.png'" />
                <p><strong>{{notification.name}}</strong> {{notification.notification}}</p>
                <small>{{notification.timestamp | relativeDate}}</small>
              </li>
              <li class="empty" ng-show="vm.global.user.notifications_unseen == 0">
                <p>You have no new notifications.</p>
              </li>
            </ul>
          </li>
        </ul>
        <ul ng-if="vm.guest" class="nav yamm navbar-nav navbar-left">
          <li>
            <a ui-sref="guestbooks">
              <span>Explore</span>
            </a>
          </li>
        </ul>
        <form class="search-container">
          <a href="#"><i class="fa fa-search"></i></a>
          <input class="search" placeholder="Search" ng-keydown="vm.global.getSearch($event)" ng-model="vm.global.keyword">
        </form>
        <ul ng-if="!vm.guest" class="nav yamm navbar-nav navbar-right">
          <li>
            <a href="javascript:void(0)" ui-sref="admin" ng-if="vm.global.selectedUser.isAdmin">
              <span>Admin</span>
              <i class="fa fa-cog"></i>
            </a>
          </li>
          <li>
            <a href="javascript:void(0)" ng-click="vm.profileSettings = !vm.profileSettings">
              <span>{{vm.global.user.fullname}}</span> <i class="fa" ng-class="{'fa-caret-down':!vm.profileSettings, 'fa-caret-up':vm.profileSettings}"></i>
            </a>
            <ul ng-show="vm.profileSettings">
              <li><a ng-href="users/{{vm.global.user.id}}" ng-click="vm.profileSettings = false">Profile</a></li>
              <li><a href="settings" ng-click="vm.profileSettings = false">Settings</a></li>
              <li><a href="auth/logout">Logout</a></li>
            </ul>
          </li>
          <li><img ng-src="{{vm.global.user.img}}" onerror="this.src='assets/images/default-user.png'"></li>
        </ul>
        <ul ng-if="vm.guest" class="nav yamm navbar-nav navbar-right">
          <li>
            <a href="auth/login">
              <span>SIGN IN</span>
            </a>
          </li>
          <li>
            <a href="auth/create_user">
              <span>SIGN UP</span>
            </a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
</header>